__gnu_parallel::__find_if_selector Struct Reference
Inheritance diagram for __gnu_parallel::__find_if_selector:
[legend]

## Public Member Functions

template<typename _RAIter1 , typename _RAIter2 , typename _Pred >
std::pair< _RAIter1, _RAIter2 > | _M_sequential_algorithm (_RAIter1 __begin1, _RAIter1 __end1, _RAIter2 __begin2, _Pred __pred)
template<typename _RAIter1 , typename _RAIter2 , typename _Pred >
bool | operator() (_RAIter1 __i1, _RAIter2 __i2, _Pred __pred)

## Detailed Description

Test predicate on a single element, used for std::find() and std::find_if ().

Definition at line 50 of file find_selectors.h.

## Member Function Documentation

template<typename _RAIter1 , typename _RAIter2 , typename _Pred >

std::pair<_RAIter1, _RAIter2> __gnu_parallel::__find_if_selector::_M_sequential_algorithm | ( | _RAIter1 | __begin1,
|  | _RAIter1 | __end1,
|  | _RAIter2 | __begin2,
|  | _Pred | __pred
| ) |  |

inline

Corresponding sequential algorithm on a sequence.

Parameters

  __begin1 | Begin iterator of first sequence.
  __end1 | End iterator of first sequence.
  __begin2 | Begin iterator of second sequence.
  __pred | Find predicate.

Definition at line 72 of file find_selectors.h.

References std::make_pair().

template<typename _RAIter1 , typename _RAIter2 , typename _Pred >

bool __gnu_parallel::__find_if_selector::operator() | ( | _RAIter1 | __i1,
|  | _RAIter2 | __i2,
|  | _Pred | __pred
| ) |  |

inline

Test on one position.

Parameters

  __i1 | _Iterator on first sequence.
  __i2 | _Iterator on second sequence (unused).
  __pred | Find predicate.

Definition at line 60 of file find_selectors.h.

The documentation for this struct was generated from the following file:

- find_selectors.h